mia-3dcombine-imageseries
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3dcombine-imageseries

#### Sysnopis:

`mia-3dcombine-imageseries` {-o `io`} [ `options` ...] [ `Plugin type: 3dimage/io` ...]

#### Description:

This programs takes various input images of the same dimensions and creates a combined output images that uses the define operation for the combination.

#### Options:

-o, --out-file=(output, required); io

  output file that contains the combined image.. For supported file types see Plugin type: 3dimage/io

-p, --operation=mean; dict

  Operation to be applied when combining the images

  mean: | mean image intensities
  max: | select max per pixel intensity
  add: | add pixel intensities

-r, --repn=none; dict

  Output pixel representation (if not given, then the representation of the first input image will be used

  bit: | binary data
  sbyte: | signed 8 bit
  ubyte: | unsigned 8 bit
  sshort: | signed 16 bit
  ushort: | unsigned 16 bit
  sint: | signed 32 bit
  uint: | unsigned 32 bit
  slong: | signed 64 bit
  ulong: | unsigned 64 bit
  float: | floating point 32 bit
  double: | floating point 64 bit
  none: | no pixel type defined

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

    mia-3dcombine-imageseries

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dbrainextractT1 | Home | mia-3dcombine-mr-segmentations